#!/usr/bin/python3

import serial
import os
from pynmeagps import NMEAReader

# On va tester qu'on a quelque chose de cohérant avant de tenter de décoder
stream = serial.Serial('/dev/ttyAMA0', 38400, timeout=3)
stream.flushInput()
x=stream.readline()

if not "GPGGA" in str(x):
  stream.close()
  os.system("./active_nmea.py &2> /dev/null")
  os.system("sleep 1")
  

  print("Pas de signal GPS")
  exit(1)

# On continue au cas ou 
stream.flushInput()
nmr = NMEAReader(stream)
(raw_data, parsed_data) = nmr.read()
print(parsed_data)
stream.close()
